Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1772708 - cyrus-imapd-3.0.12 is available
Summary: cyrus-imapd-3.0.12 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1775952 1776476
Blocks: 1775179
TreeView+ depends on / blocked
 
Reported: 2019-11-14 23:37 UTC by Upstream Release Monitoring
Modified: 2019-12-05 01:40 UTC (History)
6 users (show)

Fixed In Version: cyrus-imapd-3.0.12-1.fc30 cyrus-imapd-3.0.12-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-05 01:11:01 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-11-14 23:37:14 UTC
Latest upstream release: 3.0.12
Current version/release in rawhide: 3.0.11-1.fc31
URL: https://www.cyrusimap.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/9643/

Comment 1 Jason Tibbitts 2019-11-22 20:32:30 UTC
The update should be trivial, but for some reason all of the imaptest-related tests are failing with:

=====> Cyrus::ImapTest[171] /builddir/build/BUILD/cyrus-imapd-3.0.12/cassandane-c8040fd9e3a3c9ec96a7b58ff8a0601756108d46/imaptest/src/imaptest: symbol lookup error: /builddir/build/BUILD/cyrus-imapd-3.0.12/cassandane-c8040fd9e3a3c9ec96a7b58ff8a0601756108d46/imaptest/src/imaptest: undefined symbol: base64_encode

I haven't had a chance to dig into what has broken.

Comment 2 Pavel Zhukov 2019-11-23 22:08:26 UTC
Imaptest is broken again because of dovecot rebase without soname bump.

Comment 3 Jason Tibbitts 2019-11-25 18:44:28 UTC
A simple rebuild fixes imaptest; hopefully that will get done soon.

I will go ahead and push the fix to F31 and F30, since the build problem is not seen there.  I will try to remember to kick off a rawhide build once imaptest is fixed.

Comment 4 Fedora Update System 2019-11-25 21:14:44 UTC
FEDORA-2019-393e1cef4d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-393e1cef4d

Comment 5 Fedora Update System 2019-11-25 21:14:45 UTC
FEDORA-2019-03be160f9c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-03be160f9c

Comment 6 Pavel Zhukov 2019-11-26 05:20:52 UTC
(In reply to Jason Tibbitts from comment #3)
> A simple rebuild fixes imaptest; hopefully that will get done soon.
> 
Right. But the problem came from dovecot. Dovecot doesn't maintain any so versioning and simply breaks imaptest (and cyrus-imapd tests) without any notifications and it's long endless story https://bugzilla.redhat.com/show_bug.cgi?id=1644715 This behavior violates https://docs.fedoraproject.org/en-US/packaging-guidelines/#_downstream_so_name_versioning at least.

Comment 7 Jason Tibbitts 2019-11-26 17:03:22 UTC
Certainly the dovecot behavior is terrible; you'll get no argument from me on that point.  But a rebuild of imaptest is trivial and is the quickest path to getting an updated Cyrus package out.  In any case, it's done now and 3.0.12 has been built in rawhide as well.

Comment 8 Pavel Zhukov 2019-11-26 17:17:21 UTC
(In reply to Jason Tibbitts from comment #7)
> Certainly the dovecot behavior is terrible; you'll get no argument from me
> on that point.  But a rebuild of imaptest is trivial and is the quickest
> path to getting an updated Cyrus package out.  In any case, it's done now
> and 3.0.12 has been built in rawhide as well.

Thank you, Jason!

Comment 9 Fedora Update System 2019-11-27 00:32:16 UTC
cyrus-imapd-3.0.12-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-03be160f9c

Comment 10 Fedora Update System 2019-11-27 01:07:37 UTC
cyrus-imapd-3.0.12-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-393e1cef4d

Comment 11 Ben Cotton 2019-11-27 14:26:32 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Ben Cotton 2019-11-27 16:37:02 UTC
This bug was accidentally closed due to a query error. Reopening.

Comment 13 Fedora Update System 2019-12-05 01:11:01 UTC
cyrus-imapd-3.0.12-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-12-05 01:40:04 UTC
cyrus-imapd-3.0.12-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.